﻿body {
    font-family: 'IRANSansX', sans-serif;
    overflow-x: hidden;
}
body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    overflow-x: hidden; 
    position: relative; 
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.gold-stock {
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 6px 14px;
    border-radius: 50px;
    background: #f8f9fa;
    border: 1px solid #e9ecef;
    font-size: 13px;
    white-space: nowrap;
}

.gold-label {
    color: #6c757d;
    font-weight: 500;
}

.gold-value {
    font-weight: 700;
    color: #212529;
}

.gold-unit {
    font-weight: 500;
    color: #6c757d;
}


.tooltip {
    margin-top: 6px !important; 
}
.tooltip {
    --bs-tooltip-bg: rgba(20, 20, 20, 0.95);
    --bs-tooltip-opacity: 1;
}

.tooltip-inner {
    background: rgba(20, 20, 20, 0.95); 
    color: #ffffff;
    font-size: 13px;
    font-weight: 670 !important;
    padding: 10px 14px;
    border-radius: 12px;
    letter-spacing: 0.3px;
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.25);
    border: 1px solid rgba(255, 255, 255, 0.08);
}

.tooltip .tooltip-arrow {
    width: 12px;
    height: 12px;
}
.tooltip .tooltip-inner {
    background-color: rgba(20, 20, 20, 0.95);
    color: #fff;
}

/*
.tooltip.bs-tooltip-top .tooltip-arrow::before {
    border-top-color: rgba(20, 20, 20, 0.95) !important;
}


.tooltip .tooltip-arrow::after {
    display: none !important;
}
.tooltip .tooltip-arrow,
.tooltip .tooltip-arrow::before {
    box-sizing: border-box;
}*/


.floating-alert-container {
    position: fixed;
    left: 50%;
    top: 1rem;
    transform: translateX(-50%);
    z-index: 10000;
    display: none;
    max-width: 80%;
    width: 300px;
}

.desktop-only {
    display: block;
}

.mobile-only {
    display: none;
}


.mega-menu a {
    text-decoration: none;
    font-size: 14px;
    line-height: 1.3;
    color: #333;
    font-weight: 600;
    display: flex;
    align-items: center;
    gap: 3px;
    transition: color 0.2s ease, background-color 0.2s ease;
}
.mega-menu .submenu li a {
    text-decoration: none;
    color: #848484;
    display: block;
    padding: 5px 7px;
    transition: background 0.2s, color 0.2s;
    font-size: 12px;
    line-height: 13px;
}

.mega-menu a:hover {
    color: #253d25;
}


.mega-link {
    padding: 8px 10px;
    font-size: 13px;
}


.submenu-link {
    display: block;
    padding: 6px 0;
    font-size: 12px;
    color: #333;
}

.submenu-link:hover {
    color: #253d25;
}


.mega-menu a:link,
.mega-menu a:visited,
.mega-menu a:hover,
.mega-menu a:active {
    text-decoration: none;
}



.floating-alert {
    padding: 15px;
    margin: 10px 0;
    border-radius: 5px;
    color: white;
    text-align: center;
    font-size: 16px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.alert-success {
    background-color: #253d25;
}

.alert-danger {
    background-color: #DC3545;
}

.fade-out {
    animation: fadeOut 0.5s ease-in-out forwards;
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

.desktop-only {
    display: block;
}

.top-bar {
    background-color: #213923;
    height: 60px;
    width: 100%; 
    margin: 0 auto ; 
    display: flex;
    align-items: center;
}

.top-bar-title {
    font-size: 19px;
    margin-left: 20px;
    background: linear-gradient(90deg, #b88b1f 0%, #ffd966 30%, #fff7d0 50%, #ffd966 70%, #b88b1f 100%);
    background-size: 300% 100%;
    animation: goldLoop 5s ease-in-out infinite;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}


@keyframes goldLoop {
    0% {
        background-position: 0% 50%;
    }

    100% {
        background-position: 100% 50%;
    }
}


.custom-nav {
    width: 80%;
    background-color: #fff;
    border-radius: 55px;
    box-shadow: 0 8px 25px rgba(0, 0, 0, 0.08);
    position: sticky;
    top: 0; 
    left: 0;
    right: 0;
    margin: 0 auto; 
    z-index: 1000; 
}


.nav-logo {
    height: 70px;
}

.nav-link {
    color: #000;
    text-decoration: none;
}

.nav-icon {
    color: #000;
    font-size: 20px;
    text-decoration: none;
    position: relative;
    display: inline-block;
}

.cart-badge {
    position: absolute;
    top: -8px; 
    left: -8px;
    background: rgba(37, 61, 37, 1);
    color: #fff;
    font-size: 12px;
    padding: 4px 8px;
    border-radius: 50px;
    min-width: 20px;
    text-align: center;
    font-weight: bold;
    line-height: 1;
}

.badge-count {
    position: absolute;
    top: -3px;
    left: 3px;
    width: 16px;
    height: 16px;
    background-color: #253d25;
    color: #fff;
    font-size: 10px;
    font-weight: 600;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 1;
}

.profile-link {
    color: #000;
    text-decoration: none;
    transition: 0.3s ease;
}

    .profile-link i {
        font-size: 32px;
    }

    .profile-link:hover {
        color: rgba(51, 51, 51, .6);
    }


    .nav-icon:not(:last-child)::after {
        content: "|";
        position: absolute;
        right: -6px;
        top: 50%;
        transform: translateY(-50%);
        color: #ccc;
        font-weight: 200;
    }

    .nav-icon:hover,
    .nav-link:hover {
        color: rgba(51, 51, 51, .6);
       
    }

.nav-number {
    color: #000;
    font-size: 18px;
    position: relative;
    padding: 0 12px;
}

    .nav-number::before {
        content: "|";
        position: absolute;
        right: -6px;
        top: 50%;
        transform: translateY(-50%);
        color: #ccc;
        font-weight: 200;
    }

#cartTriggerDesktop .header-icon {
    width: 37px; 
    height: 37px; 
    object-fit: contain; 
}


#cartTriggerMobile .header-icon {
    width: 37px;
    height: 37px;
    object-fit: contain;
}

.main-menu {
    width: 70%;
    background-color: #253d25;
    border-radius: 0 0 50px 50px;
    padding: 8px 0;
    display: flex;
    position: sticky;
    top: 71px; 
    margin: 0 auto;
    z-index: 999;
}



    .main-menu .nav-link {
        color: #fff;
        font-weight: 500;
        padding: 8px 4px;
        transition: 0.3s ease;
        font-size: 15px;
    }

        .main-menu .nav-link:hover,
        .main-menu .nav-link.active {
            color: #d9d9d9;
        }

.nav-item {
    position: relative;
}

   
    .nav-item .dropdown-menu {
        list-style: none;
        padding: 20px;
        margin: 0;
        background: #fff;
        border-radius: 10px;
        box-shadow: 0 8px 20px rgba(0,0,0,0.2);
        min-width: 650px;
        display: grid;
        grid-template-columns: repeat(5, 1fr);
        gap: 15px;
       
        opacity: 0;
        transform: translateY(-10px);
        pointer-events: none;
        transition: opacity 0.3s ease, transform 0.3s ease;
    }

   
    .nav-item:hover .dropdown-menu {
        opacity: 1;
        transform: translateY(0);
        pointer-events: auto;
    }


.dropdown-item {
    text-decoration: none;
    color: #000;
    font-weight: 500;
    padding: 10px;
    border-radius: 5px;
}


.dropdown-item:hover{
 background: transparent;
 color: #000;
}


    .dropdown-item img{
        width: 10px;
        height: 10px;
    }



.submenu {
    list-style: none;
    padding: 0;
    margin: 0;
    margin-top: 6px;
    padding-right: 16px;
}


    .submenu li a {
        text-decoration: none;
        color: #848484;
        display: block;
        padding: 5px 10px;
        transition: background 0.2s, color 0.2s;
        font-size: 12px;
        line-height: 13px;
    }

    
        .submenu li a:hover {
            background: transparent;
            color: #bbb; 

        }

.search-popup {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 78vh;
    background-color: #fff;
    z-index: 9999;
    transform: translateY(100%);
    transition: transform 0.45s ease;
    box-shadow: 0 8px 25px rgba(0, 0, 0, 0.4);
    box-sizing: border-box;
    overflow-y: auto;
}

    .search-popup.show {
        transform: translateY(0);
    }


.search-popup-inner {
    /*max-width: 1200px;*/
    margin: 0 auto;
    padding: 30px 15px;
}


.search-header {
    border-bottom: 1px solid #e5e5e5;
    padding-bottom: 15px;
}


.search-close {
    background: none;
    border: none;
    font-size: 80px;
    cursor: pointer;
}


.search-input {
    width: 100%;
    margin-top: 20px;
    padding: 14px 16px;
    margin-right: 73px;
    border-radius: 14px;
    border: none;
    outline: none;
    font-size: 54px;
    font-weight: 800;
    color: #000;
    text-align: center;
}


.search-desc {
    margin: 15px 0 25px;
    color: #666;
    text-align: center;
    font-size: 21px;
}


.search-results {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    gap: 12px;
}

.search-item {
    background: #f7f7f7;
    padding: 20px 10px;
    border-radius: 14px;
    text-align: center;
    font-size: 14px;
}

.search-results {
    display: flex;
    flex-wrap: wrap;
    gap: 18px;
    margin-top: 10px;
}

.search-item-card {
    width: calc(23% - 219px);
    background: #fff;
    /*border-radius: 10px;*/
    overflow: hidden;
    /*box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);*/
    transition: transform 0.2s;
}


    .search-item-card a {
        text-decoration: none;
        color: inherit;
        display: block;
    }

.card-image img {
    width: 100%;
    height: 230px;
    object-fit: cover;
}

.card-info {
    padding: 10px;
}

    .card-info h4 {
        margin: 0 0 5px 0;
        font-size: 16px;
    }

    .card-info .price {
        color: #000;
        font-weight: bold;
    }


.gold-price{
    color: #fff;
}

.social-icon {
    width: 24px;
    height: 24px;
    object-fit: contain;
    filter: brightness(0) invert(1);
}


.site-footer {
    background-color: #1d3a23; 
    color: #fff;
    padding: 50px 20px 20px 20px;
}

.footer-container {
    display: flex;
    flex-wrap: wrap;
    max-width: 1200px;
    margin: 0 auto;
    gap: 20px;
}

   
    .footer-container > div {
        flex: 1 1 30%; 
        min-width: 200px;
    }

.footer-section {
    flex: 1;
    min-width: 250px;
    margin: 10px;
}

    .footer-section h3 {
        margin-bottom: 20px;
        margin-right: 15px;
        font-size: 18px;
    }

    .footer-section ul {
        list-style: none;
        padding: 0;
    }

        .footer-section ul li {
            margin-bottom: 10px;
        }

            .footer-section ul li a {
                color: rgba(255,255,255,.6);
                text-decoration: none;
                transition: color 0.3s;
            }

                .footer-section ul li a:hover {
                    color: #fff;
                }

    .footer-section p {
        margin: 20px 0;
        color: rgba(255,255,255,.6);
    }

.social-icons a img {
    width: 30px;
    transition: transform 0.3s;
}

    .social-icons a img:hover {
        transform: scale(1.2);
    }

.footer-bottom {
    text-align: right;
    margin-top: 30px;
    border-top: 1px solid #2a5537;
    padding-top: 15px;
    font-size: 14px;
}


.footer-section ul li {
    list-style: none; 
    display: flex;
    align-items: center;
    gap: 5px; 
}

    .footer-section ul li img {
        width: 12px;
        height: 12px;
        filter: brightness(0) invert(1); 
        opacity: 0.6; 
    }

.footer-bottom {
    display: flex;
    justify-content: flex-start;
    padding-right: 20%;
    color: #fff;
    font-size: 14px;
}


.cart-sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 1000;
    width: 340px;
    background-color: #FFF;
    overflow: hidden;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    transform: translateX(-100%);
    transition: transform .25s ease;
}

    .cart-sidebar.open {
        transform: translateX(0);
    }


.cart-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.8);
    z-index: 1000;
    opacity: 0;
    visibility: hidden;
    transition: .25s;
}

    .cart-overlay.show {
        opacity: 1;
        visibility: visible;
    }

.cart-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px;
    border-bottom: 1px solid #eee;
}

    .cart-header h5 {
        margin: 0;
    }


.cart-header,
.cart-footer {
    padding: 13px;
    border-bottom: 1px solid #eee;
}

.cart-footer {
    border-top: 1px solid #eee;
}

.close-btn {
    background: none;
    border: none;
    font-size: 32px;
    cursor: pointer;
}

.cart-title {
    font-size: 18px;
    font-weight: 400;
    margin-bottom: 5px;
}

.empty-cart {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 20px;
    gap: 14px;
}

.empty-cart-img {
    width: 120px;
    max-width: 100%;
    height: auto;
    opacity: 0.2;
}

.empty-cart p {
    margin: 0;
    font-size: 18px;
    color: #000;
}

.checkout-btn {
    margin-top: 8px;
    padding: 10px 18px;
    background: rgb(37,61,37);
    color: #fff;
    border: none;
    cursor: pointer;
    border-radius: 8px;
    font-size: 14px;
}

.filled-cart {
    padding: 16px;
}


.cart-item {
    display: flex;
    gap: 12px;
    margin-bottom: 16px;
}

.cart-item-img {
    width: 80px;
    height: 80px;
    object-fit: cover
}


.cart-item-info {
    flex: 1;
}

.item-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.item-title {
    margin: 0;
    font-size: 14px;
    font-weight: 500;
}

.remove-item {
    background: none;
    border: none;
    font-size: 18px;
    cursor: pointer;
    line-height: 1;
    color: #555;
}


.cart-quantity-box {
    width: fit-content;
    border: 1px solid #ddd;
    border-radius: 6px;
    height: 35px;
    overflow: hidden;
    display: flex;
    align-items: center;
}

.cart-qty-btn {
    width: 28px;
    height: 28px;
    padding: 0;
    border: none;
    background: #fff;
    cursor: pointer;
}

.cart-qty-input {
    width: 34px;
    border: none;
    text-align: center;
    padding: 0;
    font-size: 13px;
}

.cart-divider {
    width: 1px;
    height: 34px;
    background: #ddd;
}

.cart-sidebar * {
    max-width: 100%;
    box-sizing: border-box;
}
@media (max-width: 1300px) and (min-width: 700px) {
    .cart-sidebar {
        width: 280px;
    }
}



.item-price {
    font-size: 13px;
    color: #777;
}

.cart-item + .cart-item {
    border-top: 1px solid #eee;
    padding-top: 16px;
    margin-top: 16px;
}

.item-price {
    font-size: 14px;
    color: #777; 
}
    .item-price .price {
        color: #000;
        font-weight: 600; 
        margin: 0 4px;
    }

    .item-price .currency {
        color: #777; 
        font-weight: 400;
    }


.cart-sidebar {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.cart-body {
    flex: 1; 
    overflow-y: auto;
    padding: 16px;
}


.cart-footer {
    padding: 16px;
    border-top: 1px solid #eee;
    background: #fff;
    flex-shrink: 0; 
    display: flex;
    flex-direction: column;
    gap: 10px;
}


.cart-subtotal {
    display: flex;
    justify-content: space-between;
    font-weight: 600;
    font-size: 18px;
    color: #000;
}


.cart-footer .btn {
    width: 100%;
    padding: 10px;
    font-size: 14px;
    border: none;
    cursor: pointer;
    text-decoration: none;
    border-radius: 6px;
}

.cart-footer .view-cart {
    background: #f7f7f7;
    color: #000;
}

.cart-footer .checkout {
    background: rgb(37,61,37);
    color: #fff;
}
    .cart-footer .checkout:hover {
        background: rgb(24,51,53);
        color: #fff;
    }


.profile-dropdown {
    position: relative;
}

    .profile-dropdown .dropdown-menu {
        display: none;
        top: 80%;
        right: 0;
        margin-top: 4px;
        min-width: 220px;
    }

        .profile-dropdown:hover .dropdown-menu,
        .profile-dropdown .dropdown-menu:hover {
            display: block;
        }




@media (max-width: 480px) {
    .floating-alert-container {
        width: 90%;
        max-width: 100%;
        margin-top: 10%;
    }


}

@media (max-width: 1024px) {
    .floating-alert-container {
        width: 90%;
        max-width: 100%;
        margin-top: 10%;
    }

/*    .mobile-menu-list .submenu {
        display: none;
    }

    .mobile-menu-list li.is-open > .submenu {
        display: block;
    }
*/

    .mobile-menu-list .arrow {
        transition: transform 0.3s;
    }

    .mobile-menu-list .submenu.show + .arrow,
    .mobile-menu-list .submenu.show ~ .arrow {
        transform: rotate(180deg);
    }

    .submenu-toggle {
        cursor: pointer;
        display: inline-flex;
        align-items: center;
    }

}


@media (max-width: 650px) {
    .gold-stock {
        padding: 4px 6px;
        font-size: 11px;
    }
    .desktop-only {
        display: none !important;
    }
/*    .has-submenu > .submenu {
        display: none;
    }

    .has-submenu.open > .submenu {
        display: block;
    }*/

    #cartTriggerMobile .header-icon {
        width: 32px;
        height: 32px;
        object-fit: contain;
    }

/*
    .submenu {
        display: none;
    }

    li.has-submenu.is-open > .submenu {
        display: block;
    }*/

    .desktop-only {
        display: none;
    }

    .mobile-only {
        display: block;
    }

    .mobile-menu {
        position: fixed;
        top: 0;
        right: -100% ;
        width: 69% !important;
        height: 100%;
        background-color: #fff;
        z-index: 9999;
        overflow-y: auto;
        transition: 0.3s;
        box-shadow: 2px 0 8px rgba(0,0,0,0.2);
    }

        .mobile-menu.show {
            right: 0;
        }

    .mobile-top {
        background: #fff;
        border-radius: 50px;
        box-shadow: 0 0px 4px rgba(0, 0, 0, 0.1);
        z-index: 899;
        transition: all 0.3s ease;
        position: relative;
        width: 100%;
    }

        .mobile-top.fixed {
            position: fixed;
            top: 0;
            left: 0;
            right: 0;
            box-shadow: 0 2px 6px rgba(0,0,0,0.1); 
        }

    .mobile-menu-list li a {
        display: block;
        padding: 10px 0;
        font-size: 1.1rem;
        color: #333;
        text-decoration: none;
        border-bottom: 1px solid #eee;
        font-size: 14px;
    }

    .mobile-menu-list li .submenu {
     
        padding-left: 15px;
    }



    .mobile-search input {
        width: 100%;
        padding: 8px;
        border: none;
    }

    .mobile-search{
        border-bottom: 1px solid #999;
    }

    .mobile-top {
        min-height: 60px;
    }

    .logo-center {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
    }

    .nav-logo {
        height: 50px;
    }

    .mobile-menu-list a {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 0;
    font-size: 16px;
    text-decoration: none;
    color: #000;
}


/*.mobile-menu-list .submenu {
    display: none;
    padding-left: 15px;
}


.mobile-menu-list .submenu.show {
    display: block;
}*/



.mobile-menu-list a img {
    width: 14px;
    height: 14px;
    object-fit: contain;
}


      
        .footer-container > .popular-products,
        .footer-container > .useful-links {
            flex: 1 1 30%;
            min-width: 100px;
        }

        .footer-container > .contact-us {
            flex: none; 
        }


   
    .footer-section.contact-us {
        max-width: 100%;
        flex: none; 
        word-wrap: break-word;
        overflow-wrap: break-word;
    }


        .footer-section.contact-us p {
            white-space: normal; 
            margin-bottom: 0.5rem; 
        }


}